# Install Guide

This repository contains the Linux installation guide handed out to our course attendants each Install Event. The guide is written in such a way that a person with no Linux knowledge (and only average IT knowledge) should be able to understand it.

The guide is split into multiple parts: There are separate installation instructions that explain how to install Linux alongside Windows 7, Windows 10, OS X, etc., and sections that explain how to install Ubuntu, OpenSUSE etc.. Thus, the central feature of this guide is that attendants do not receive the entire installation guide, which would be confusing, but instead only receive the parts relevant to them. To facilitate this, the guide is split into multiple parts that are found in the various subdirectories. Course attendants each fill out a questionnaire handed to them at the beginning of the Install Events so that we know which parts of the guide they need. We then staple together the printed sheets of these parts and hand them to the course attendants. This way, each attendant gets a "complete" installation guide that only consists of a subset of all the material in this repository - we wouldn't want a Mac user to also get installation instructions for Windows 10.

The build script is found in [build.sh](build.sh) and the separate PDFs for the parts land in the `parts` directory (not present in this repository!). This script also builds the **entire** guide and outputs it to `installguide.pdf`. Remember: We do **not** hand out this entire guide to the attendants. `installguide.pdf` primarily exists because compiling `installguide.tex` while editing the guide and then looking at a PDF containing all of it, is much easier than running the build script every time and look at the individual parts (the build script is also quite slow).


